UK Registration Decode API Documentation
Welcome to Vehicle Databases API's Documentation
UK Registration Decode
GETJSON ResponseOverview
UK registration decode API requires a valid UK registration number to return the year, make, model, color, engine details & more.
- COVERAGE
- All UK registered vehicles
- SUPPORT
- UK Region
HTTP Request
Endpoint
GET
https://api.vehicledatabases.com/uk-registration-decode/{reg_num}Request
import requests
response = requests.get(
"https://api.vehicledatabases.com/uk-registration-decode/{reg_num}",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())GET Parameters
reg_nmRequired- UK Registered plate number
JSON Response
This API provides basic specifications including year, make, model, body style, MOT & tax dues, vehicle performance, fuel economy, and CO2 emissions.
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"data": {
"registration number": "VNZ1768",
"vehicle_description": {
"year": "2015",
"make": "Audi",
"model": "Q3 TDI S Line",
"bodystyle": "",
"color": "Black",
"engine": "1.968 cc",
"cylinders": "4",
"gears": "6 speed Manual",
"fuel_type": "Diesel"
},
"vehicle_registration": {
"date_first_registered": ""
},
"mot_tax_dues": {
"mot_due": {
"status": "01-12-2024",
"ends on": "41 days left"
},
"tax_due": {
"status": "01-03-2025",
"ends on": "130 days left"
}
},
"vehicle_performance": {
"power": {
"bhp": " 148 BHP",
"kw": "110 kW "
},
"max_speed": {
"mph": "126 mph"
}
},
"fuel_economy": {
"combined": {
"mpg": "60.1 mpg"
},
"extra_urban": {
"mpg": "67.3 mpg"
},
"urban_cold": {
"mpg": "52.3 mpg"
}
},
"co2_emissions_figures": {
"co2_emission": "122 g/km",
"ved_co2_band": "D"
}
}
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
CodeDescriptionResolution
400Record(s) were not found for this vehicle.Verify the reg num is correct or try a different vehicle.
401Access denied due to invalid subscription x-authkey.Provide a valid API x-authkey for an active subscription.
422Too many requestsReduce request frequency to comply with rate limits.
404API not foundCheck the API endpoint URL.
500BlankServer error. Contact support if the issue persists.